/***********************************************************************\
* NLED Text Editor Copyright 1987-2003, Evan Alexander Weaver           *
*                                                                       *
* This source code, and the associated executable programs obtained by  *
* compiling it, are published under the GNU General Public License. See *
* the accompanying file "nled.txt" for the details of this license and  *
* some other comments about NLED and this source code.                  *
*                                                                       *
* File: NLEDVDEF.H                        Date Last Modified: 09-Jul-96 *
*                                                                       *
* External variable definitions for NLED.                               *
* 11-Feb-92: Variable screen size support.                              *
* 13-Feb-92: case sensitivity, color                                    *
* 04-Apr-94: tab compression                                            *
* 09-Jul-96: make Win95 func keys compatible with DOS                   *
\***********************************************************************/

extern int text_mode;   /* file mode: text (TEXT/TEXTZ) or binary (FALSE)   */
extern int ins_mode;    /* edit mode: insert (TRUE) or overstrike (FALSE)   */
extern int beep_level;  /* severity at which to beep (0 - 2)                */
extern int tab_size;    /* number of spaces per tab stop (1 - 15)           */
extern int tab_compress;/* compress spaces to tabs on saving (TRUE/FALSE)   */
extern int case_sens;   /* are searches case sensitive? (TRUE/FALSE)        */
extern int color_setting;   /* color choice                                 */
extern int edit_flag;   /* file has (TRUE) or has not (FALSE) been edited   */
                        /* since it was last saved                          */
extern int status_flag;

#if UNIX
extern int status_disable;
#endif

/* function key macros: plain fkeys in 0-9, Shift   */
/* fkeys in 10-19, Ctl fkeys in 20-29, Alt in 30-39 */
/* [0] is the number of keystrokes, and [1] - [9]   */
/* are the actual keystrokes (up to 9)              */
#if UNIX
extern int func_mac[40][10];
#else
extern unsigned short func_mac[40][10];
#endif
extern int func_key;    /* function key currently executing (0 - 39) or -1  */
extern int func_ind;    /* keystroke of func_key to be processed next       */

extern char file_name[];    /* name of current file                         */

extern INDEX len_ds;    /* # of chars stored in data string (>=0)       */
extern INDEX nol_ds;    /* # of lines in data string (>=1)              */
extern int row_no;      /* current row on screen (0 - SCRHI-2)          */
extern int col_no;      /* current col on screen (0 - SCRWI-1)          */
extern INDEX scr_top;   /* line # of 1st row on screen (0 - nol_ds-1)   */
extern INDEX scr_left;  /* actual col # of screen column 0 (>=0)        */
extern INDEX abs_pos;   /* current position in data (0 - len_ds)        */
extern INDEX scr_loff[];/* offset into data of start of each line       */
                        /* currently on the screen (0 - len_ds)         */
extern INDEX scr_llen[];/* length of each line currently on the screen  */
                        /* not including trailing LF (0 - len_ds)       */

extern int draw_brow;   /* screen row to begin redrawing        */
extern int draw_erow;   /* screen row to end redrawing          */
extern int draw_col;    /* col of draw_brow to begin redrawing  */
extern int num_rows;    /* number of actual screen rows         */
extern int num_cols;    /* number of actual screen columns      */

extern INDEX block_beg; /* offset in data of start of user marked block */
extern INDEX block_end; /* 1+offset in data of end of user marked block */

extern char prompt_msg[];           /* status line message to be displayed  */
extern int msg_flag;    /* prompt_msg should (TRUE) or should not (FALSE)   */
                        /* be displayed                                     */
extern int msg_col;     /* column to position cursor on status line after   */
                        /* displaying prompt_msg (0 - SCR_WI-1) or -1       */
/*--------------------------END-OF-NLEDVDEF.H--------------------------*/
